GET

/api/v1/bots/grid/:id/profits

Permission: BOTS_READSecurity: SIGNED

Returns chronological profit execution details of an existing Grid Bot entity using its ID with optional ISO 8601 date range filtering.

Path Parameters

idinteger required

Unique Quentrade ID for this Grid Bot entity. Example: 2338357

Query Parameters

2
fromstring

Filters profit events recorded on or after a specific datetime in ISO 8601 format (e.g., 2024-09-01T04:00:00.000Z).

tostring

Filters profit events recorded on or before a specific datetime in ISO 8601 format (e.g., 2024-10-11T03:59:59.000Z).

Response Parameters

5
grid_line_idinteger / string

Unique Quentrade ID for this Grid line entity.

profitstring

Profit amount generated from this Grid line execution in the base currency.

usd_profitstring

Profit amount in USD calculated from this Grid line execution.

created_atstring

ISO 8601 datetime string indicating when the profit event was recorded.

grid_lineobject

Detailed information about the specific Grid line event.

grid_line.idinteger / string

Unique ID for this Grid line entity.

grid_line.pricestring

The execution price at which the asset was bought or sold.

grid_line.sidestring

The order side for this Grid line: buy or sell.

grid_line.order_placedboolean

Indicates whether the order for this grid line has been actively placed (true) or not (false).

Example Request

GETGET /api/v1/bots/grid/2338357/profits?from=2024-09-01T04:00:00.000Z&to=2024-10-11T03:59:59.000Z

Example Responses

If successful, returns HTTP 200 with an array of individual grid line profit event records.

get_profit_details_200.json
200 OK
[
  {
    "grid_line_id": 256470631,
    "profit": "0.5387463715614246",
    "usd_profit": "0.5387463715614246",
    "created_at": "2024-10-06T11:45:47.500Z",
    "grid_line": {
      "id": 256470631,
      "price": "0.022954",
      "side": "buy",
      "order_placed": false
    }
  },
  {
    "grid_line_id": 256439950,
    "profit": "0.2721254846234494",
    "usd_profit": "0.2721254846234494",
    "created_at": "2024-10-04T16:23:16.731Z",
    "grid_line": {
      "id": 256439950,
      "price": "0.022503",
      "side": "buy",
      "order_placed": false
    }
  }
]